> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Document Review Comment

> Add or edit the internal review comment/addendum on a document without signing it off.



## OpenAPI

````yaml patch /user/patient/document/{document_id}/review-comment
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/document/{document_id}/review-comment:
    patch:
      tags:
        - Patient Documents
      summary: Update Document Review Comment
      description: >-
        Add or edit the internal review comment/addendum on a document without
        signing it off.
      operationId: >-
        update_document_review_comment_user_patient_document__document_id__review_comment_patch
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentReviewUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DocumentReviewUpdate:
      properties:
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
      type: object
      title: DocumentReviewUpdate
      description: Body for signing off a document or updating its review comment.
    DocumentSummary:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        filePath:
          type: string
          title: Filepath
        fileType:
          type: string
          title: Filetype
        title:
          type: string
          title: Title
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        docType:
          type: string
          title: Doctype
        signatureUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Signatureurl
        expiryDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Expirydate
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        noteIds:
          items:
            type: string
          type: array
          title: Noteids
          default: []
        sourceNoteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourcenoteid
        reviewedByProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewedbyproviderid
        reviewedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revieweddate
        reviewComment:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewcomment
        sharedWithPatient:
          type: boolean
          title: Sharedwithpatient
          default: false
        sharedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Shareddate
        sharedByProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sharedbyproviderid
        patientMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientmessage
        sourceAnsweredFormId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourceansweredformid
        sourceFormId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourceformid
        sourceFormName:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourceformname
      type: object
      required:
        - id
        - patientId
        - filePath
        - fileType
        - title
        - summary
        - docType
        - signatureUrl
      title: DocumentSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````